Subject: [PATCH 14/19] ARM: dts: shmobile/r8a7xxx: replace gpio-key, wakeup with wakeup-source property

From: [email-masked] (Sudeep Holla)
Date: Wed, 21 Oct 2015 11:23:03 +0100

On 21/10/15 11:18, Geert Uytterhoeven wrote:
> On Wed, Oct 21, 2015 at 12:10 PM, Sudeep Holla <[email-masked]> wrote:
>> Though the keyboard driver for GPIO buttons(gpio-keys) will continue to
>> check for/support the legacy "gpio-key,wakeup" boolean property to
>> enable gpio buttons as wakeup source, "wakeup-source" is the new
>> standard binding.
>>
>> This patch replaces the legacy "gpio-key,wakeup" with the unified
>> "wakeup-source" property in order to avoid any futher copy-paste
>> duplication.
>
> Thanks!
>
> I made the same changes to my local tree a few weeks ago, but never found
> time to send them out...
>

Ah OK, even I had these changes for long. I waited until I fixed all the
binding documents(which was boring ;))

>> Cc: Simon Horman <[email-masked]>
>> Cc: Magnus Damm <[email-masked]>
>> Cc: linux-sh at vger.kernel.org
>> Signed-off-by: Sudeep Holla <[email-masked]>
>
> Acked-by: Geert Uytterhoeven <[email-masked]>
>

Thanks

-- 
Regards,
Sudeep